Public Member Functions | Public Attributes | List of all members
libebook::FB2BlockFormat Struct Reference

`#include <FB2Style.h>`

## Public Member Functions
| FB2BlockFormat ()

## Public Attributes
uint8_t | annotation
uint8_t | cite
uint8_t | epigraph
bool | headerRow
bool | p
uint8_t | poem
bool | stanza
bool | subtitle
bool | table
bool | textAuthor
bool | title
bool | v
uint8_t | headingLevel
std::string | lang

## Constructor & Destructor Documentation

## § FB2BlockFormat()

libebook::FB2BlockFormat::FB2BlockFormat | ( |  | ) |

## Member Data Documentation

## § annotation

uint8_t libebook::FB2BlockFormat::annotation

## § cite

uint8_t libebook::FB2BlockFormat::cite

## § epigraph

uint8_t libebook::FB2BlockFormat::epigraph

Referenced by libebook::makePropertyList().

## § headerRow

bool libebook::FB2BlockFormat::headerRow

Referenced by libebook::makePropertyList(), libebook::FB2TrContext::openRow(), and libebook::FB2ContentCollector::openTableRow().

## § headingLevel

uint8_t libebook::FB2BlockFormat::headingLevel

Referenced by libebook::FB2BodyContext::element(), libebook::FB2SectionContext::element(), and libebook::FB2ContentCollector::openParagraph().

## § lang

std::string libebook::FB2BlockFormat::lang

Referenced by libebook::FB2SectionContext::element(), libebook::FB2SectionContext::makeBlockFormat(), libebook::FB2ContentCollector::openSpan(), and libebook::FB2BlockFormatContextBase::setLang().

## § p

bool libebook::FB2BlockFormat::p

Referenced by libebook::FB2PContext::makeBlockFormat(), and libebook::makePropertyList().

## § poem

uint8_t libebook::FB2BlockFormat::poem

## § stanza

bool libebook::FB2BlockFormat::stanza

Referenced by libebook::FB2StanzaContext::FB2StanzaContext().

## § subtitle

bool libebook::FB2BlockFormat::subtitle

Referenced by libebook::FB2SubtitleContext::makeBlockFormat(), and libebook::makePropertyList().

## § table

bool libebook::FB2BlockFormat::table

## § textAuthor

bool libebook::FB2BlockFormat::textAuthor

Referenced by libebook::FB2TextAuthorContext::makeBlockFormat(), and libebook::makePropertyList().

## § title

bool libebook::FB2BlockFormat::title

Referenced by libebook::FB2TitleContext::FB2TitleContext(), and libebook::makePropertyList().

## § v

bool libebook::FB2BlockFormat::v

Referenced by libebook::FB2VContext::makeBlockFormat().

The documentation for this struct was generated from the following files:

- FB2Style.h
- FB2Style.cpp